Package org.apache.wiki.forms

## Class FormTextarea

- java.lang.Object
- - org.apache.wiki.forms.FormElement
  - - org.apache.wiki.forms.FormTextarea

All Implemented Interfaces:
  `Plugin`

    public class FormTextarea
    extends FormElement

Creates a Form text area element. You may specify the size of the textarea by using the `PARAM_COLS` and `PARAM_ROWS` to signify the width and height of the area.

### Field Summary

Fields
`static java.lang.String` `PARAM_COLS` Parameter name for setting the columns value.
`static java.lang.String` `PARAM_ROWS` Parameter name for setting the rows value.

### Fields inherited from class org.apache.wiki.forms.FormElement

`FORM_VALUES_CARRIER, HANDLERPARAM_PREFIX, HIDE_SUCCESS, PARAM_ELEMENT, PARAM_FORM, PARAM_FORMNAMEHIDDEN, PARAM_HANDLER, PARAM_HIDEFORM, PARAM_INPUTNAME, PARAM_POPULATE, PARAM_SUBMITHANDLER, PARAM_VALUE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`FormTextarea()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context ctx, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class org.apache.wiki.forms.FormElement

`getFormInfo, storeFormInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_ROWS

    public static final java.lang.String PARAM_ROWS

Parameter name for setting the rows value. Value is `"rows"`.

See Also:
  Constant Field Values

#### PARAM_COLS

    public static final java.lang.String PARAM_COLS

Parameter name for setting the columns value. Value is `"cols"`.

See Also:
  Constant Field Values

### Constructor Detail

#### FormTextarea

    public FormTextarea()

### Method Detail

#### execute

    public java.lang.String execute​(Context ctx,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Throws:
  `PluginException`